Bug 1763072 - qpid-proton: Remove (sub)packages from Fedora 32+: python2-qpid-proton
Summary: qpid-proton: Remove (sub)packages from Fedora 32+: python2-qpid-proton
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: qpid-proton
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Irina Boverman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1765366
Blocks: PY2REMOVAL F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-10-18 08:27 UTC by Miro Hrončok
Modified: 2020-01-28 14:42 UTC (History)
9 users (show)

Fixed In Version: qpid-proton-0.30.0-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-28 14:42:28 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2019-10-18 08:27:26 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of qpid-proton were marked for removal:

 * python2-qpid-proton

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package in Rawhide (Fedora 32).

Please don't remove packages from Fedora 31, it is past Beta Freeze.
Please don't do this for Fedora 30/29 either, removing packages from a released Fedora branch is forbidden.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

If you do the change yourself, it would help us a lot by reducing the amount of packages we need to mass change.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal

Comment 1 Miro Hrončok 2019-10-24 23:53:58 UTC
This is blocked by missing epydoc. Also, when installing epydoc, I get Python 2 and the Python 2 extension is built even if I remove the code.

WIP version fot he patch (broken): https://src.fedoraproject.org/fork/churchyard/rpms/qpid-proton/commits/nopy2

Irina, could you please help?

Comment 2 Miro Hrončok 2019-10-25 00:21:25 UTC
I got it building with epydoc, at https://src.fedoraproject.org/rpms/qpid-proton/pull-request/2

Comment 3 Miro Hrončok 2019-12-04 09:16:21 UTC
Could you please review the PR?

Comment 4 Alexandre Detiste 2019-12-14 17:56:06 UTC
looks good


this not:
194	+ %{python3_sitearch}/cproton.pyc
195	+ %{python3_sitearch}/cproton.pyo

Comment 6 Miro Hrončok 2019-12-14 18:09:46 UTC
See the comment:

+ # files with weirdly python2 filenames, but indeed python3:
+ %{python3_sitearch}/_cproton.so
+ %{python3_sitearch}/cproton.pyc
+ %{python3_sitearch}/cproton.pyo

Comment 7 Fedora Admin XMLRPC Client 2020-01-20 18:22:58 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 8 Irina Boverman 2020-01-20 18:51:30 UTC
I am in a process of rebasing this component to upstream version 0.30.0. It will solve problem with epydoc and will remove python2-qpid-proton.


Note You need to log in before you can comment on or make changes to this bug.